# Mat_CheckCompressedRow

Determines whether the compressed row matrix format should be used. If the format is to be used, this routine creates Mat_CompressedRow struct. Compressed row format provides high performance routines by taking advantage of zero rows. Supported types are MATAIJ, MATBAIJ and MATSBAIJ.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode Mat_CheckCompressedRow(Mat A,Mat_CompressedRow *compressedrow,PetscInt *ai,PetscInt mbs,PetscReal ratio)

Collective

### Input Parameters

| A | - the matrix
| compressedrow | - pointer to the struct Mat_CompressedRow
| ai | - row pointer used by seqaij and seqbaij
| mbs | - number of (block) rows represented by ai
| ratio | - ratio of (num of zero rows)/m, used to determine if the compressed row format should be used

Level:developer
Location: src/mat/utils/compressedrow.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages